## com.vividsolutions.jts.noding
Class SegmentStringDissolver

    java.lang.Object
      com.vividsolutions.jts.noding.SegmentStringDissolver

public class SegmentStringDissolver
extends java.lang.Object

Dissolves a noded collection of `SegmentString`s to produce a set of merged linework with unique segments. A custom merging strategy can be applied when two identical (up to orientation) strings are dissolved together. The default merging strategy is simply to discard the merged string.

A common use for this class is to merge noded edges while preserving topological labelling.

Version:
  1.7
See Also:
  `SegmentStringDissolver.SegmentStringMerger`

Nested Class Summary
`static interface` `SegmentStringDissolver.SegmentStringMerger`

Constructor Summary
`SegmentStringDissolver()` Creates a dissolver with the default merging strategy.
`SegmentStringDissolver(SegmentStringDissolver.SegmentStringMerger merger)` Creates a dissolver with a user-defined merge strategy.

Method Summary
`void` `dissolve(java.util.Collection segStrings)` Dissolve all `SegmentString`s in the input `Collection`
`void` `dissolve(SegmentString segString)` Dissolve the given `SegmentString`.
`java.util.Collection` `getDissolved()` Gets the collection of dissolved (i.e.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SegmentStringDissolver

    public SegmentStringDissolver(SegmentStringDissolver.SegmentStringMerger merger)

  Creates a dissolver with a user-defined merge strategy.

Parameters:
  `merger` - the merging strategy to use

### SegmentStringDissolver

    public SegmentStringDissolver()

  Creates a dissolver with the default merging strategy.

Method Detail

### dissolve

    public void dissolve(java.util.Collection segStrings)

  Dissolve all `SegmentString`s in the input `Collection`

  Parameters:
    `segStrings` -

### dissolve

    public void dissolve(SegmentString segString)

  Dissolve the given `SegmentString`.

  Parameters:
    `segString` - the string to dissolve

### getDissolved

    public java.util.Collection getDissolved()

  Gets the collection of dissolved (i.e. unique) `SegmentString`s

  Returns:
    the unique `SegmentString`s